- Qbs Manual
- QbsLanguageItems
- Parameters
- Qbs 3.2.0

Parameter ◦ Probe

# Parameters

Defines default values for dependency parameters within Module and Export items. More...

- List of all members, including inherited members
- Parameters is part of List of All Items.

## Detailed Description

The Parameters item defines default values for dependency parameters within Module and Export items.

Example:

     DynamicLibrary {
        name: "foo"
        ...
        Export {
            ...
            Parameters {
                cpp.link: false
            }
        }
     }

Every dependency on foo has the parameter cpp.link set to `false` by default.

This can be overridden explicitly:

     Depends { name: "foo"; cpp.link: true }

The Parameters item contains a number of property bindings where each property must be a properly declared dependency parameter. For more information, see Parameter and Module - Dependency Parameters.

Parameter ◦ Probe